import { SvgOptions } from '@ironsource/fusion-ui/components/svg';
import { CountryCode } from './flag.entities';
import * as i0 from "@angular/core";
export declare class FlagBaseComponent {
    private svgOptions;
    /**
     * Set country code ISO 3166-1-alpha-2 code of a country. https://www.iso.org/obp/ui/#search/code/
     * @param value
     */
    set countryCode(value: CountryCode);
    /**
     * Set flag size
     * @default 16
     */
    set size(value: number);
    /**
     * Set border radius
     * @default 50%
     */
    set borderRadius(value: string);
    set rounded(value: boolean);
    /** @internal */
    set version(value: string);
    get size(): number;
    get borderRadius(): string;
    /** @internal */
    get flagUrl(): string;
    get width(): number;
    get height(): number;
    private _countryCode;
    private _size;
    private _borderRadius;
    private _rounded;
    private _version;
    constructor(svgOptions: SvgOptions);
    static ɵfac: i0.ɵɵFactoryDeclaration<FlagBaseComponent, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FlagBaseComponent, never, never, { "countryCode": { "alias": "countryCode"; "required": false; }; "size": { "alias": "size"; "required": false; }; "borderRadius": { "alias": "borderRadius"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "version": { "alias": "version"; "required": false; }; }, {}, never, never, false, never>;
}
